# LRMoo

This repository keeps track of the [LRMoo](https://cidoc-crm.org/frbroo/) encodings that have been produced by the semi-automated parsing procedure of the [Specification docx file for version 1.0](https://www.cidoc-crm.org/frbroo/ModelVersion/version-1.0-2).

**Namespace:** http://iflastandards.info/ns/lrm/lrmoo/

## Statistics

The LRMoo specification document for version 1.0 includes:
* 16 Class declarations
* 37 Property declarations


### Pending documentation issues

This section outlines pending documentation issues that have been detected during the parsing procedure of the specification document and may require resolution from the model maintainers.


* 16 Classes without FOL: [all]
* 37 Properties without FOL: [all]


# LRMoo implementation in RDF Schema 1.1 (RDFS)

Release date: 06/06/2024


* LRMoo Class definitions in RDFS: 16 (0 interpreted as rdfs:Literal)
* LRMoo forward Property definitions in RDFS: 37
* LRMoo backwards Property definitions in RDFS: 35
* External References: 36 
  * Cidoc-CRM version 7.1.3
  
## External References

* 'http://www.cidoc-crm.org/cidoc-crm/E7_Activity' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E12_Production' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E24_Physical_Human-Made_Thing' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E28_Conceptual_Object' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E29_Design_or_Procedure' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E54_Dimension' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E55_Type' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E56_Language' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E65_Creation' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E73_Information_Object' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E74_Group' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E89_Propositional_Object' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/E90_Symbolic_Object' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P2_has_type' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P2i_is_type_of' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P3_has_note' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P16_used_specific_object' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P16i_was_used_for' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P43_has_dimension' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P43i_is_dimension_of' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P67_refers_to' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P67i_is_referred_to_by' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P94_has_created' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P94i_was_created_by' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P106_is_composed_of' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P106i_forms_part_of' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P108_has_produced' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P108i_was_produced_by' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P128_carries' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P128i_is_carried_by' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P130_shows_features_of' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P130i_features_are_also_found_on' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P148_has_component' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P148i_is_component_of' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P165_incorporates' from model: 'Cidoc-CRM v7.1.3'
* 'http://www.cidoc-crm.org/cidoc-crm/P165i_is_incorporated_in' from model: 'Cidoc-CRM v7.1.3'

&nbsp;

## RDFS Generation Policies

&nbsp;
 
#### **A. Classes implementation in RDFS**


As specified in [A. CIDOC Classes implementation in RDFS]( https://gitlab.isl.ics.forth.gr/cidoc-crm/cidoc_crm_rdf/-/blob/master/7.1.3/README.md#a-cidoc-classes-implementation-in-rdfs), the CIDOC-CRM model defines classes, that in Triple Stores are typically implemented as primitive values.

LRMoo model does not specify any such class but includes the following references to CIDOC-CRM classes that are implemented as `rdfs:Literal` in Cidoc-CRM version 7.1.3.

- `F12 Nomen. R33 has string: E62 String`

As a result:

> A1. The following properties have defined as range the `rdfs:Literal` instead of the Class defined in the model specification.

- `F12 Nomen. R33 has string: rdfs:Literal`


## About

This project is licensed under [CC BY 4.0 LEGAL CODE Attribution 4.0 International](https://creativecommons.org/licenses/by/4.0/legalcode)

Current repository maintainer: [Elias Tzortzakakis](https://www.ics.forth.gr/isl/person/Tzortzakakis/Elias) (FORTH-ICS)

Please report any detected issues to [cci-cidoc-devATics.forth.gr](mailto:cci-cidoc-devATics.forth.gr?subject=LRMoo%20gitlab%20issue:%20)
